package gssim.db.dao.data;

/**
 * 
 * @author Jarek Szymczak
 *
 */
public class UnitDetails {

	protected Integer fkUnitId;
	protected String name;
	protected String value;
	
	public Integer getFkUnitId() {
		return fkUnitId;
	}
	
	public void setFkUnitId(Integer fkUnitId) {
		this.fkUnitId = fkUnitId;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public String getValue() {
		return value;
	}
	
	public void setValue(String value) {
		this.value = value;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + fkUnitId;
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		result = prime * result + ((value == null) ? 0 : value.hashCode());
		return result;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		UnitDetails other = (UnitDetails) obj;
		if (fkUnitId != other.fkUnitId)
			return false;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		if (value == null) {
			if (other.value != null)
				return false;
		} else if (!value.equals(other.value))
			return false;
		return true;
	}
	
	@Override
	public String toString() {
		return "UnitDetails [fkUnitId=" + fkUnitId + ", name=" + name
				+ ", value=" + value + "]";
	}
}
