package gssim.db.dao.data;

/**
 * 
 * @author Jarek Szymczak
 *
 */
public class ReservationDetails {
	
	Integer fkReservationId;
	String name;
	String value;
	
	public Integer getFkReservationId() {
		return fkReservationId;
	}
	
	public void setFkReservationId(Integer fkReservationId) {
		this.fkReservationId = fkReservationId;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public String getValue() {
		return value;
	}
	
	public void setValue(String value) {
		this.value = value;
	}
	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((fkReservationId == null) ? 0 : fkReservationId.hashCode());
		result = prime * result + ((name == null) ? 0 : name.hashCode());
		result = prime * result + ((value == null) ? 0 : value.hashCode());
		return result;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ReservationDetails other = (ReservationDetails) obj;
		if (fkReservationId == null) {
			if (other.fkReservationId != null)
				return false;
		} else if (!fkReservationId.equals(other.fkReservationId))
			return false;
		if (name == null) {
			if (other.name != null)
				return false;
		} else if (!name.equals(other.name))
			return false;
		if (value == null) {
			if (other.value != null)
				return false;
		} else if (!value.equals(other.value))
			return false;
		return true;
	}
	
	@Override
	public String toString() {
		return "ReservationDetails [fkReservationId=" + fkReservationId
				+ ", name=" + name + ", value=" + value + "]";
	}
}
